Coder Social home page Coder Social logo

docker-overlay's Issues

not able to emerge app-emulation/docker-1.12.0_rc2 on hardened

emerge error message:

 * ERROR: app-emulation/docker-1.12.0_rc2::docker failed (compile phase):
 *   hardened sed failed
 *
 * Call stack:
 *     ebuild.sh, line 133:  Called src_compile
 *   environment, line 3265:  Called die
 * The specific snippet of code:
 *           grep -q -- '-fno-PIC' hack/make/dynbinary || die 'hardened sed failed';

have to make following changes to make it work.

--- a/app-emulation/docker/docker-1.12.0_rc2.ebuild
+++ b/app-emulation/docker/docker-1.12.0_rc2.ebuild
@@ -168,7 +168,8 @@ pkg_setup() {

 src_prepare() {
        cd "src/${EGO_PN}" || die
-       sed -i 's/docker-containerd/containerd/g; s/docker-runc/runc/g' libcontainerd/remote_linux.go
+       sed -i 's/docker-containerd/containerd/g' libcontainerd/remote_linux.go
+       sed -i 's/docker-runc/runc/g' daemon/daemon.go
        # allow user patches (use sparingly - upstream won't support them)
        epatch_user
 }
@@ -189,9 +190,11 @@ src_compile() {
                sed -i "s/EXTLDFLAGS_STATIC='/&-fno-PIC /" hack/make.sh || die
                grep -q -- '-fno-PIC' hack/make.sh || die 'hardened sed failed'

-               sed  "s/LDFLAGS_STATIC_DOCKER='/&-extldflags -fno-PIC /" \
-                       -i hack/make/dynbinary || die
-               grep -q -- '-fno-PIC' hack/make/dynbinary || die 'hardened sed failed'
+               for i in client daemon ; do
+                       sed  "s/LDFLAGS_STATIC_DOCKER='/&-extldflags -fno-PIC /" \
+                               -i hack/make/dynbinary-$i || die
+                       grep -q -- '-fno-PIC' hack/make/dynbinary-$i || die 'hardened sed failed'
+               done
        fi

        # let's set up some optional features :)

Ebuild failure (sed failed)

Greetings,

I've tried several versions, even the 9999 ebuild but the problem is the same

 * ERROR: app-emulation/docker-9999::user_defined failed (compile phase):
 *   sed failed
 * 
 * Call stack:
 *     ebuild.sh, line  93:  Called src_compile
 *   environment, line 3953:  Called die
 * The specific snippet of code:
 *           grep -q '-extldflags=-fno-PIC' hack/make/dynbinary || die 'sed failed';
 * 

Complete build log

 * Package:    app-emulation/docker-9999
 * Repository: user_defined
 * Maintainer: [email protected]
 * USE:        amd64 device-mapper elibc_glibc kernel_linux userland_GNU
 * FEATURES:   preserve-libs sandbox splitdebug userpriv usersandbox
 * Determining the location of the kernel source code
 * Found kernel source directory:
 *     /usr/src/linux
 * Found sources for kernel version:
 *     3.9.0-sabayon
 * Checking for suitable kernel configuration options...                                                                                                                                                    [ ok ]
>>> Unpacking source...
Cloning into bare repository '/usr/portage/distfiles/egit-src/docker.git'...
remote: Reusing existing pack: 32064, done.
remote: Counting objects: 23, done.
remote: Compressing objects: 100% (15/15), done.
remote: Total 32087 (delta 8), reused 23 (delta 8)
Receiving objects: 100% (32087/32087), 16.61 MiB | 1.62 MiB/s, done.
Resolving deltas: 100% (19431/19431), done.
Checking connectivity... done.
GIT NEW clone -->
   repository:               git://github.com/dotcloud/docker.git
   at the commit:            bd1c51259433d7f5d3f2502fab6e12a8f4b30248
   branch:                   master
   storage directory:        "/usr/portage/distfiles/egit-src/docker.git"
   checkout type:            bare repository
Cloning into '/var/tmp/portage/app-emulation/docker-9999/work/docker-9999'...
done.
Branch branch-master set up to track remote branch master from origin.
Switched to a new branch 'branch-master'
>>> Unpacked to /var/tmp/portage/app-emulation/docker-9999/work/docker-9999
>>> Source unpacked in /var/tmp/portage/app-emulation/docker-9999/work
>>> Preparing source in /var/tmp/portage/app-emulation/docker-9999/work/docker-9999 ...
>>> Source prepared.
>>> Configuring source in /var/tmp/portage/app-emulation/docker-9999/work/docker-9999 ...
>>> Source configured.
>>> Compiling source in /var/tmp/portage/app-emulation/docker-9999/work/docker-9999 ...
 * ERROR: app-emulation/docker-9999::user_defined failed (compile phase):
 *   sed failed
 * 
 * Call stack:
 *     ebuild.sh, line  93:  Called src_compile
 *   environment, line 3953:  Called die
 * The specific snippet of code:
 *           grep -q '-extldflags=-fno-PIC' hack/make/dynbinary || die 'sed failed';
 * 
 * If you need support, post the output of `emerge --info '=app-emulation/docker-9999::user_defined'`,
 * the complete build log and the output of `emerge -pqv '=app-emulation/docker-9999::user_defined'`.
 * The complete build log is located at '/var/tmp/portage/app-emulation/docker-9999/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/app-emulation/docker-9999/temp/environment'.
 * Working directory: '/var/tmp/portage/app-emulation/docker-9999/work/docker-9999'
 * S: '/var/tmp/portage/app-emulation/docker-9999/work/docker-9999'

It appears hack/make/dynbinary is missing the lines you're sedding here

sed -i 's/export LDFLAGS_STATIC="/export LDFLAGS_STATIC="-extldflags=-fno-PIC /' hack/make/dynbinary || die

=app-emulation/docker-1.3.3: runtime failure—start container → 500

When starting a container on docker-1.3.3 I get the following error:

500 Server Error: Internal Server Error ("b'Cannot start container 241c4b8c-730b-4afa-a67b-89e47c94e823: finalize namespace setup user setgid operation not supported'")

I'm guessing this is because I'm missing user namespace support but haven't verified yet. If it is I highly recommend we add a check in the ebuild for this.

app-emulation/docker-1.9.0: dynbinary failed

Not sure why this is happening but I've been getting build failures with docker-1.9.0 for weeks. Here's the build output:

>>> Running ebuild phase killold as root:root...
>>> Starting builtin_killold
>>> Done builtin_killold
>>> Completed ebuild phase killold
>>> Running ebuild phases init saveenv as paludisbuild:paludisbuild...
>>> Starting builtin_init
>>> Done builtin_init
>>> Starting builtin_saveenv
>>> Done builtin_saveenv
>>> Completed ebuild phases init saveenv
>>> Running ebuild phases loadenv setup saveenv as root:root...
>>> Starting builtin_loadenv
>>> Done builtin_loadenv
>>> Starting pkg_setup
 * Determining the location of the kernel source code
 * Found kernel source directory:
 *     /usr/src/linux
 * Found kernel object directory:
 *     /lib/modules/4.3.0-gentoo/build
 * Found sources for kernel version:
 *     4.3.0-gentoo
 * Checking for suitable kernel configuration options...
 *   CONFIG_IOSCHED_CFQ: is optional for container statistics gathering
 * Please check to make sure these options are set correctly.
 * Failure to do so may cause unexpected problems.
>>> Done pkg_setup
>>> Starting builtin_saveenv
>>> Done builtin_saveenv
>>> Completed ebuild phases loadenv setup saveenv
>>> Running ebuild phases loadenv unpack saveenv as paludisbuild:paludisbuild...
>>> Starting builtin_loadenv
>>> Done builtin_loadenv
>>> Starting src_unpack
>>> Done src_unpack
>>> Starting builtin_saveenv
>>> Done builtin_saveenv
>>> Completed ebuild phases loadenv unpack saveenv
>>> Running ebuild phases loadenv prepare saveenv as paludisbuild:paludisbuild...
>>> Starting builtin_loadenv
>>> Done builtin_loadenv
>>> Starting src_prepare
>>> Done src_prepare
>>> Starting builtin_saveenv
>>> Done builtin_saveenv
>>> Completed ebuild phases loadenv prepare saveenv
>>> Running ebuild phases loadenv configure saveenv as paludisbuild:paludisbuild...
>>> Starting builtin_loadenv
>>> Done builtin_loadenv
>>> Starting src_configure
>>> Done src_configure
>>> Starting builtin_saveenv
>>> Done builtin_saveenv
>>> Completed ebuild phases loadenv configure saveenv
>>> Running ebuild phases loadenv compile saveenv as paludisbuild:paludisbuild...
>>> Starting builtin_loadenv
>>> Done builtin_loadenv
>>> Starting src_compile

# WARNING! I don't seem to be running in the Docker container.
# The result of this command might be an incorrect build, and will not be
#   officially supported.
#
# Try this instead: make all
#
---> Making bundle: dynbinary (in bundles/1.9.0/dynbinary)
# runtime
/usr/lib/go/src/runtime/arch1_arm64.go:8: thechar redeclared in this block
        previous declaration at /usr/lib/go/src/runtime/arch1_amd64.go:8
/usr/lib/go/src/runtime/arch1_arm64.go:9: _BigEndian redeclared in this block
        previous declaration at /usr/lib/go/src/runtime/arch1_amd64.go:9
/usr/lib/go/src/runtime/arch1_arm64.go:10: _CacheLineSize redeclared in this block
        previous declaration at /usr/lib/go/src/runtime/arch1_amd64.go:10
/usr/lib/go/src/runtime/arch1_arm64.go:11: _PhysPageSize redeclared in this block
        previous declaration at /usr/lib/go/src/runtime/arch1_amd64.go:11
/usr/lib/go/src/runtime/arch1_arm64.go:12: _PCQuantum redeclared in this block
        previous declaration at /usr/lib/go/src/runtime/arch1_amd64.go:12
/usr/lib/go/src/runtime/arch1_arm64.go:13: _Int64Align redeclared in this block
        previous declaration at /usr/lib/go/src/runtime/arch1_amd64.go:13
/usr/lib/go/src/runtime/arch1_arm64.go:14: hugePageSize redeclared in this block
        previous declaration at /usr/lib/go/src/runtime/arch1_amd64.go:14
/usr/lib/go/src/runtime/arch1_ppc64.go:8: thechar redeclared in this block
        previous declaration at /usr/lib/go/src/runtime/arch1_arm64.go:8
/usr/lib/go/src/runtime/arch1_ppc64.go:9: _BigEndian redeclared in this block
        previous declaration at /usr/lib/go/src/runtime/arch1_arm64.go:9
/usr/lib/go/src/runtime/arch1_ppc64.go:10: _CacheLineSize redeclared in this block
        previous declaration at /usr/lib/go/src/runtime/arch1_arm64.go:10
/usr/lib/go/src/runtime/arch1_ppc64.go:10: too many errors

!!! ERROR in app-emulation/docker-1.9.0::docker:
!!! In src_compile at line 4774
!!! dynbinary failed

!!! Call stack:
!!!    * src_compile (/var/tmp/paludis/app-emulation-docker-1.9.0/temp/loadsaveenv:4774)
!!!    * ebuild_f_compile (/usr/libexec/paludis/2/src_compile.bash:56)
!!!    * ebuild_main (/usr/libexec/paludis/ebuild.bash:668)
!!!    * main (/usr/libexec/paludis/ebuild.bash:691)

diefunc: making ebuild PID 14199 exit with error
die trap: exiting with error.

Version bump

Hi, could you bump this to version 1.2, pretty please? 💖

app-emulation/runc seems to require go > 1.4.2

With go version 1.4.2, I get the following build error:

�[32;01m * �[39;49;00mPackage:    app-emulation/runc-1.0.0_rc2
�[32;01m * �[39;49;00mRepository: docker
�[32;01m * �[39;49;00mUSE:        abi_x86_64 amd64 elibc_glibc kernel_linux seccomp userland_GNU
�[32;01m * �[39;49;00mFEATURES:   preserve-libs sandbox userpriv usersandbox
>>> Unpacking source...
>>> Source unpacked in /var/tmp/portage/app-emulation/runc-1.0.0_rc2/work
>>> Preparing source in /var/tmp/portage/app-emulation/runc-1.0.0_rc2/work/runc-1.0.0_rc2/src/github.com/opencontainers/runc ...
>>> Source prepared.
>>> Configuring source in /var/tmp/portage/app-emulation/runc-1.0.0_rc2/work/runc-1.0.0_rc2/src/github.com/opencontainers/runc ...
>>> Source configured.
>>> Compiling source in /var/tmp/portage/app-emulation/runc-1.0.0_rc2/work/runc-1.0.0_rc2/src/github.com/opencontainers/runc ...
ln: ‘.gopath/src/..’: cannot overwrite directory
make -j4 'BUILDTAGS=no seccomp' 
fatal: Not a git repository (or any of the parent directories): .git
ln -sfn /var/tmp/portage/app-emulation/runc-1.0.0_rc2/work/runc-1.0.0_rc2/src/github.com/opencontainers/runc /var/tmp/portage/app-emulation/runc-1.0.0_rc2/work/runc-1.0.0_rc2/src/github.com/opencontainers/runc/Godeps/_workspace/src/github.com/opencontainers/runc
go build -i -ldflags "-X main.gitCommit="" -X main.version=1.0.0-rc2" -tags "no seccomp" -o runc .
# _/var/tmp/portage/app-emulation/runc-1.0.0_rc2/work/runc-1.0.0_rc2/src/github.com/opencontainers/runc
usage: 6l [options] main.6
  -1	use alternate profiling code
  -8	assume 64-bit addresses
  -B info
    	define ELF NT_GNU_BUILD_ID note
  -C	check Go calls to C code
  -D addr
    	data address
  -E sym
    	entry symbol
  -I interp
    	set ELF interp
  -L dir
    	add dir to library path
  -H head
    	header type
  -K	add stack underflow checks
  -O	print pc-line tables
  -Q	debug byte-register code gen
  -R rnd
    	address rounding
  -S	check type signatures
  -T addr
    	text address
  -V	print version and exit
  -W	disassemble input
  -X name value
    	define string data
  -Z	clear stack frame on entry
  -a	disassemble output
  -c	dump call graph
  -d	disable dynamic executable
  -extld ld
    	linker to run in external mode
  -extldflags ldflags
    	flags for external linker
  -f	ignore version mismatch
  -g	disable go package data checks
  -installsuffix suffix
    	pkg directory suffix
  -k sym
    	set field tracking symbol
  -linkmode mode
    	set link mode (internal, external, auto)
  -n	dump symbol table
  -o outfile
    	set output file
  -r dir1:dir2:...
    	set ELF dynamic linker search path
  -race
    	enable race detector
  -s	disable symbol table
  -shared
    	generate shared object (implies -linkmode external)
  -tmpdir dir
    	leave temporary files in this directory
  -u	reject unsafe packages
  -v	print link trace
  -w	disable DWARF generation
Makefile:30: recipe for target 'all' failed
make: *** [all] Error 2
 �[31;01m*�[0m ERROR: app-emulation/runc-1.0.0_rc2::docker failed (compile phase):
 �[31;01m*�[0m   emake failed
 �[31;01m*�[0m 
 �[31;01m*�[0m If you need support, post the output of `emerge --info '=app-emulation/runc-1.0.0_rc2::docker'`,
 �[31;01m*�[0m the complete build log and the output of `emerge -pqv '=app-emulation/runc-1.0.0_rc2::docker'`.
 �[31;01m*�[0m The complete build log is located at '/var/tmp/portage/app-emulation/runc-1.0.0_rc2/temp/build.log'.
 �[31;01m*�[0m The ebuild environment file is located at '/var/tmp/portage/app-emulation/runc-1.0.0_rc2/temp/environment'.
 �[31;01m*�[0m Working directory: '/var/tmp/portage/app-emulation/runc-1.0.0_rc2/work/runc-1.0.0_rc2/src/github.com/opencontainers/runc'
 �[31;01m*�[0m S: '/var/tmp/portage/app-emulation/runc-1.0.0_rc2/work/runc-1.0.0_rc2/src/github.com/opencontainers/runc'

This is fixed by going up in versions, for me going to go version 1.7.1 fixed the problem and runc built successfully.

Total mess with runc and docker-runc. Fix provided

Hello. I use official docker overlay. I have unmasked docker, containerd, runc and docker-runc packages.
All was fine, once I updated docker and it deleted runc and installed docker-runc.
On latest update, it want runc back and results in package block.
containerd-0.2.5 depends on runc, 0.2.5-r1 depends on docker-runc.
docker 17.03.0 depends on runc.
Ok I downgraded containerd to resolve block, now docker container fails to start with
oci runtime error: flag provided but not defined: -console

I read on github issues, that docker is not compatible with runc anymore, but still depend on it.
I resolved it by modifying ebuild and replace runc with docker-runc on DEPEND section.

Please fix docker ebuild to depend on docker-runc

1.3.0 not visible to portage?

I've got the overlay installed and the portage tree all up to date, but for some reason I'm only seeing 1.2.0 as the latest version. Anything I might be missing? I can see the ebuild in this repo, but not on my machine.

$ equery keywords app-emulation/docker
Keywords for app-emulation/docker:
         |                             | u   |
         | a a   a           p     s   | n   |
         | l m   r h i m m   p s   p   | u s | r
         | p d a m p a 6 i p c 3   a x | s l | e
         | h 6 r 6 p 6 8 p p 6 9 s r 8 | e o | p
         | a 4 m 4 a 4 k s c 4 0 h c 6 | d t | o
---------+-----------------------------+-----+-------
   1.0.0 | o ~ o o o o o o o o o o o o | # 0 | gentoo
   1.0.1 | o ~ o o o o o o o o o o o o | #   | gentoo
   1.1.0 | o ~ o o o o o o o o o o o o | #   | gentoo
[I]1.2.0 | o ~ o o o o o o o o o o o o | o   | gentoo
$
$ ls /usr/portage/app-emulation/docker
ChangeLog            docker-1.0.1.ebuild  docker-1.2.0.ebuild  Manifest
docker-1.0.0.ebuild  docker-1.1.0.ebuild  files                metadata.xml

Default storage driver changed to devicemapper in 0.10.0?

I'm not sure if this is intentional or not, but previously (if aufs-sources were installed) docker would start with the AUFS storage driver. I just updated to 0.10.0 and noticed all my images had disappeared. Rather, they haven't "disappeared", it's just that docker is running with the devicemapper driver rather than AUFS.

Is this a regression, or just a change in the default behaviour? Easily worked around :)

EDIT | Actually I'm not sure how to work around it. I know I need to pass the -s flag to docker, but how do I do that via the OpenRC script? Do I edit the script, or is there a more correct way to do it?

Ebuild doesn't bail when modules are missing

A user @ #gentoo-containers had issues installing docker. After way too much troubleshooting, I managed to figure out that he got warnings thrown but emerge not bailing.

The reason for this is because the ebuild is overriding linux-info's pkg_setup and calling check_extra_config without get_version/get_running_version.

Switching to linux-info_pkg_setup (or doing defaults) fixes it. Suggestion:

--- /usr/portage/app-emulation/docker/docker-1.1.0.ebuild   2014-08-25 10:52:47.930022911 +1000
+++ /usr/local/portage/app-emulation/docker/docker-1.1.0.ebuild 2014-08-25 10:54:27.664950918 +1000
@@ -133,7 +133,7 @@
        "
    fi

-   check_extra_config
+   linux-info_pkg_setup
 }

 src_compile() {

Another route would be to avoid pkg_setup like newer ebuilds of lxc does. We're already exporting CONFIG_CHECK globally anyway.

Support using Aufs 4

Unfortunately I have to use aufs 4 because I'm using a 4.x kernel. This package demands that aufs 3 be pulled in, so I can't install it. Any way to fix this?

Unable to build Docker 1.3.{2.3} and 1.4.0

Hi,

Using dev-lang/go-1.3.3 as the compiler I am unable to build Docker 1.3.2 or higher.

desolation docker # ebuild docker-1.3.3.ebuild compile
Appending /var/paludis/repositories/docker-overlay to PORTDIR_OVERLAY...
 * docker-1.3.3.tar.gz SHA256 SHA512 WHIRLPOOL size ;-) ...                                  [ ok ]
 * checking ebuild checksums ;-) ...                                                         [ ok ]
 * checking auxfile checksums ;-) ...                                                        [ ok ]
 * checking miscfile checksums ;-) ...                                                       [ ok ]
 * Determining the location of the kernel source code
 * Found kernel source directory:
 *     /usr/src/linux
 * Found kernel object directory:
 *     /lib/modules/3.17.0-aufs/build
 * Found sources for kernel version:
 *     3.17.0-aufs
 * Checking for suitable kernel configuration options...                                     [ ok ]
>>> Unpacking source...
>>> Unpacking docker-1.3.3.tar.gz to /export/tmp/portage/portage/app-emulation/docker-1.3.3/work
>>> Source unpacked in /export/tmp/portage/portage/app-emulation/docker-1.3.3/work
>>> Preparing source in /export/tmp/portage/portage/app-emulation/docker-1.3.3/work/docker-1.3.3 ...
>>> Source prepared.
>>> Configuring source in /export/tmp/portage/portage/app-emulation/docker-1.3.3/work/docker-1.3.3 ...
>>> Source configured.
>>> Compiling source in /export/tmp/portage/portage/app-emulation/docker-1.3.3/work/docker-1.3.3 ...
# WARNING! I don't seem to be running in the Docker container.
# The result of this command might be an incorrect build, and will not be
#   officially supported.
#
# Try this instead: make all
#

---> Making bundle: dynbinary (in bundles/1.3.3/dynbinary)
# runtime
/usr/lib/go/src/pkg/runtime/chan.c:224 argument prototype mismatch "IND FUNC(IND STRUCT Lock) VOID" for "IND FUNC(IND STRUCT G, IND VOID) UCHAR": runtime.park
/usr/lib/go/src/pkg/runtime/chan.c:252 argument prototype mismatch "IND FUNC(IND STRUCT Lock) VOID" for "IND FUNC(IND STRUCT G, IND VOID) UCHAR": runtime.park
/usr/lib/go/src/pkg/runtime/chan.c:354 argument prototype mismatch "IND FUNC(IND STRUCT Lock) VOID" for "IND FUNC(IND STRUCT G, IND VOID) UCHAR": runtime.park
/usr/lib/go/src/pkg/runtime/chan.c:385 argument prototype mismatch "IND FUNC(IND STRUCT Lock) VOID" for "IND FUNC(IND STRUCT G, IND VOID) UCHAR": runtime.park
/usr/lib/go/src/pkg/runtime/chan.c:982 not a member of struct/union: selgen
/usr/lib/go/src/pkg/runtime/chan.c:996 argument prototype mismatch "IND FUNC(IND STRUCT Lock) VOID" for "IND FUNC(IND STRUCT G, IND VOID) UCHAR": runtime.park
/usr/lib/go/src/pkg/runtime/chan.c:1332 not a member of struct/union: selgen
/usr/lib/go/src/pkg/runtime/chan.c:1333 not a member of struct/union: selgen
 * ERROR: app-emulation/docker-1.3.3::docker failed (compile phase):
 *   dynbinary failed
 *
 * Call stack:
 *     ebuild.sh, line  93:  Called src_compile
 *   environment, line 3163:  Called die
 * The specific snippet of code:
 *       ./hack/make.sh dynbinary || die 'dynbinary failed'
 *
 * If you need support, post the output of `emerge --info '=app-emulation/docker-1.3.3::docker'`,
 * the complete build log and the output of `emerge -pqv '=app-emulation/docker-1.3.3::docker'`.
 * The complete build log is located at '/export/tmp/portage/portage/app-emulation/docker-1.3.3/temp/build.log'.
 * The ebuild environment file is located at '/export/tmp/portage/portage/app-emulation/docker-1.3.3/temp/environment'.
 * Working directory: '/export/tmp/portage/portage/app-emulation/docker-1.3.3/work/docker-1.3.3'
 * S: '/export/tmp/portage/portage/app-emulation/docker-1.3.3/work/docker-1.3.3

Keep module list in check

Docker keeps a script in contrib for checking needed kernel modules. We should make sure our checks are in sync with this.

We could attempt at sourcing it, but it'd be pretty tedious for a few reasons. My suggestion would just be to check this script on every bump to make sure we're in sync.

I'll add a diff to this bug or just do a pull request to update the current list.

CONFIG_NETFILTER_XT_MATCH_ADDRTYPE not found in latest sys-kernel/aufs-sources

When I ran "emerge app-emulation/docker" it threw an error saying that the CONFIG_NETFILTER_XT_MATCH_ADDRTYPE has not been turned on. I couldn't find this flag in the latest kernel sources from sys-kernel/aufs-sources (3.18.4). I turned on the NAT (CONFIG_NF_NAT) flag in the kernel compilation and added the "CONFIG_NETFILTER_XT_MATCH_ADDRTYPE " explicitly and that allowed the installation to go through without a hitch. The daemon seems to start, but haven't tried running any "network app" containers. Not sure if this affects any NAT translations that docker needs to provide network access to the apps.

=app-emulation/docker-1.6.0_rc1: could not determine kind of name for C.BTRFS_BUILD_VERSION

---> Making bundle: dynbinary (in bundles/1.6.0-rc1/dynbinary)
Created binary: /var/tmp/paludis/app-emulation-docker-1.6.0_rc1/work/docker-1.6.0-rc1/bundles/1.6.0-rc1/dynbinary/dockerinit-1.6.0-rc1
# github.com/docker/docker/daemon/graphdriver/btrfs
could not determine kind of name for C.BTRFS_BUILD_VERSION

!!! ERROR in app-emulation/docker-1.6.0_rc1::docker:
!!! In src_compile at line 4702
!!! dynbinary failed

!!! Call stack:
!!!    * src_compile (/var/tmp/paludis/app-emulation-docker-1.6.0_rc1/temp/loadsaveenv:4702)
!!!    * ebuild_f_compile (/usr/libexec/paludis/2/src_compile.bash:56)
!!!    * ebuild_main (/usr/libexec/paludis/ebuild.bash:668)
!!!    * main (/usr/libexec/paludis/ebuild.bash:691)

diefunc: making ebuild PID 21829 exit with error
die trap: exiting with error.

Should be enough information but let me know if you need btrfs versions or anything.

apparmor use flag

Hi.

Could you please add "apparmor" use flag which would add "apparmor" DOCKER_BUILDTAG and appropriate dependency?

I copied 1.7.0 ebuild and tried to do it manually but for some reason build fails with the following error:

---> Making bundle: dynbinary (in bundles/1.7.0/dynbinary)
# _/var/build/portage/app-emulation/docker-1.7.0/work/docker-1.7.0/dockerinit
/usr/lib/gcc/x86_64-pc-linux-gnu/4.8.4/../../../../x86_64-pc-linux-gnu/bin/ld: cannot find -lapparmor
collect2: error: ld returned 1 exit status
/usr/lib/go/pkg/tool/linux_amd64/6l: running x86_64-pc-linux-gnu-gcc failed: unsuccessful exit status 0x100

Although I have libapparmor 2.8.4 installed. Probably I'm missing something.

Divergence between app-emulation/docker and app-emulation/docker-bin

bump-docker.sh generates a new source-based ebuild based on app-emulation/docker-9999 and a new binary ebuild based on the latest app-emulation/docker-bin. That means that fixes that land in the live ebuild need to be propagated to the latest binary ebuild by hand. For example, 9532abd (Update deps to match PACKAGERS.md better (again), 2014-11-06), 5b8954f (Drop 'default' from src_prepare(), 2014-09-20), 2831532 (use "linux-info_pkg_setup" instead of "check_extra_config", 2014-08-25), …. I expect looking through:

$ diff -u app-emulation/docker-bin/docker-bin-1.3.1.ebuild app-emulation/docker/docker-9999.ebuild

will turn up others. I can submit a patch that minimizes this difference, but it will probably have to wait until the weekend. Feel free to beat me to it ;).

Containers no longer start since 1.4 (was ok in 1.3.2)

I'm using the basic gentoo tree (not the overlay), from v 1.4.0 when I want
to start a container I get this kind of error message :

Creating docker gentoo-cron
time="2014-12-15T20:34:44+01:00" level="fatal" msg="Error response from daemon: Cannot start container b4eea1e3f9e2d191408d74a4785dc75165ab921f9f89611be4e6d3102b6f91de: setup mount namespace mount system mounting mqueue into /nas/docker/devicemapper/mnt/b4eea1e3f9e2d191408d74a4785dc75165ab921f9f89611be4e6d3102b6f91de/rootfs/dev/mqueue no such device"

I'm using device mapper and thin provisionning.

I would like to go back to 1.3.2 but the ebuild disappeared from gentoo ??? why ??? ;o(

please could you at least make the old version still available ?

JSON error starting containers on 17.06

Getting following error when starting containers on any of the 17.06 RCs.

Error response from daemon: json: cannot unmarshal object into Go struct field Process.capabilities of type []string

My Go version is 1.8.3.

Devicemapper cannot create rootfs

Any ideas? Sorry, I think the text is all mashed together due to the ncurses download progress output overlapping as it errorred out.

vagrant@local ~ $ docker run -t -i -rm busybox /bin/bash
Unable to find image 'busybox' (tag: latest) locally
Pulling repository busybox
769b9341d937: Error pulling image (latest) from busybox, endpoint: https://cdn-registry-1.docker.io/v1/, Driver devi769b9341d937: Error pulling image (latest) from busybox, Driver devicemapper failed to create image rootfs 511136ea3c5a64f264b78b5433614aec563103b4d4702f3ba7d4d2698e22c158: Error mounting '/dev/mapper/docker-8:4-547505-511136ea3c5a64f264b78b5433614aec563103b4d4702f3ba7d4d2698e22c158' on '/var/lib/docker/devicemapper/mnt/511136ea3c5a64f264b78b54332014/02/14 15:16:26 pull: Could not find repository on any of the indexed registries.

Docker won't start (bridge not installed)

I'm not really sure what I need to do to work around this. I have a freshly set up Gentoo Vagrant box (minimal amd64). I have installed docker 0.7.6, via emerge, but when trying to start it with the init script, I get "crashed" status. On closer inspection trying to manually start docker, I'm missing some dependency, though I'm not clear what.

vagrant@local ~ $ sudo docker -d
[/var/lib/docker|94ea9a35] +job initapi()
[/var/lib/docker|94ea9a35.initapi()] Creating server
Error creating bridge: package not installed[/var/lib/docker|94ea9a35] -job initapi() = ERR (1)
2014/02/13 11:53:46 initapi: Error creating bridge: package not installed
vagrant@local ~ $ sudo modprobe bridge
modprobe: FATAL: Module bridge not found.
vagrant@local ~ $

CONFIG_NETPRIO_CGROUP was renamed in the kernel

There is an issue: moby/moby#15572 and it is fixed and closed.

While I am using docker-overlay to upgrade docker-1.7.1 to docker-1.8.1 with aufs-sources-4.1.5, docker package keeps complaining that the kernel setting is error. I think it is the same issue.

 *   CONFIG_NETPRIO_CGROUP:      is not set when it should be.

ebuilds does not use dotcloud's tar package

Dotcloud maintains a patched version of the Go's tar package which is bundled when compiling docker through its Dockerfile. On gentoo we depend on the package provided by the system go.

This causes (at least) a problem when pushing images to a registry:

Failed to upload layer: Put https://.../layer: archive/tar: header field too long

A fix for this problem was released with Go 1.2, which is currently not available in the main portage tree.

If the ebuild cannot fix this issue until the new version of Go is available, it would be nice to at least update the README to mention this and a way to work around the issue.

I tested Go 1.2 provided by the OSSDL overlay and it seems to work:

layman -f -a OSSDL
emerge go
emerge docker
/etc/init.d/docker restart # or systemctl restart docker
docker version
Client version: 0.7.1
Go version (client): go1.2
Git commit (client): 88df052
Server version: 0.7.1
Git commit (server): 88df052
Go version (server): go1.2
Last stable version: 0.7.1

"Could not locate dockerinit" error when launching docker daemon

When launching docker (either from /etc/init.d/docker start or docker -d), I encounter the following error and I don't understand what is causing this:

$ sudo docker -d
2014/05/26 17:17:11 docker daemon: 0.11.1 fb99f99; execdriver: native; graphdriver: 
[6be887c2] +job serveapi(unix:///var/run/docker.sock)
[6be887c2] +job initserver()
[6be887c2.initserver()] Creating server
2014/05/26 17:17:11 Listening for HTTP on unix (/var/run/docker.sock)
[6be887c2] +job init_networkdriver()
[6be887c2] -job init_networkdriver() = OK (0)
Could not locate dockerinit: This usually means docker was built incorrectly. See http://docs.docker.io/en/latest/contributing/devenvironment for official build instructions.
[6be887c2] -job initserver() = ERR (1)
2014/05/26 17:17:11 Could not locate dockerinit: This usually means docker was built incorrectly. See http://docs.docker.io/en/latest/contributing/devenvironment for official build instructions.

Of course, files are not stripped:

$ file /usr/bin/docker 
/usr/bin/docker: ELF 64-bit LSB executable, x86-64, version 1 (SYSV), dynamically linked (uses shared libs), for GNU/Linux 2.6.16, not stripped
$ file /usr/libexec/docker/dockerinit 
/usr/libexec/docker/dockerinit: ELF 64-bit LSB executable, x86-64, version 1 (GNU/Linux), statically linked, for GNU/Linux 2.6.16, not stripped

It seems looking for /usr/local/lib/docker/dockerinit instead of /usr/libexec/docker/dockerinit:

$ sudo strace docker -d
...
...
read(7, "6PointAdd\0crypto/elliptic.p256Co"..., 32768) = 32768
read(7, "__libc_malloc_initialized\0_dl_na"..., 32768) = 9475
read(7, "", 32768)                      = 0
close(7)                                = 0
stat("/usr/local/libexec/docker/dockerinit", 0xc2101761b0) = -1 ENOENT (No such file or directory)
stat("/usr/lib/docker/dockerinit", 0xc210176240) = -1 ENOENT (No such file or directory)
stat("/usr/local/lib/docker/dockerinit", 0xc2101762d0) = -1 ENOENT (No such file or directory)
write(2, "Could not locate dockerinit: Thi"..., 175Could not locate dockerinit: This usually means docker was built incorrectly. See http://docs.docker.io/en/latest/contributing/devenvironment for official build instructions.
) = 175
write(2, "[5735a623] -job initserver() = E"..., 39[5735a623] -job initserver() = ERR (1)
) = 39
write(2, "2014/05/26 17:14:52 Could not lo"..., 1952014/05/26 17:14:52 Could not locate dockerinit: This usually means docker was built incorrectly. See http://docs.docker.io/en/latest/contributing/devenvironment for official build instructions.
) = 195
exit_group(1)                           = ?
+++ exited with 1 +++
=================================================================
                        Package Settings
=================================================================
app-emulation/docker-0.11.1 was built with the following:
USE="contrib device-mapper lxc vim-syntax -aufs -btrfs -doc -zsh-completion

error build

i emerge -avN =app-emulation/docker-9999

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild rR ] virtual/python-argparse-1 PYTHON_TARGETS="python2_7 python3_2 (-pypy2_0) -python2_6 (-python3_3)" 0 kB
[ebuild U ] app-emulation/docker-9999::docker [0.6.5::docker] USE="aufs% -device-mapper% -doc -vim-syntax" 0 kB
[ebuild rR ] app-portage/layman-2.0.0 USE="git -bazaar -cvs -darcs -mercurial -subversion {-test}" PYTHON_TARGETS="python2_7 (-pypy2_0) -python2_6" 0 kB
i have error
devmapper_wrapper.go:7:26: fatal error: libdevmapper.h: No such file or directory
compilation terminated.
i don't want device-mapper!
i don't want use lvm2

Error running createDevice, error loading driver devicemapper, Error loading driver aufs

Hello I seem to be getting multiple errors while starting up docker

here is the logs from the dameon.

what am i doing wrong?

[jayaramanp@dgdwebapp01 ~]$ sudo /usr/bin/docker -d -g /home/jayaramanp/tmp-docker/ -e lxc -D -p /home/jayaramanp/tmp-docker/docker.pid
2014/04/23 18:58:56 WARNING: You are running linux kernel version 2.6.32-431.11.2.el6.x86_64, which might be unstable running docker. Please upgrade your kernel to 3.8.0.
[/home/jayaramanp/tmp-docker|da882b2e] +job serveapi(unix:///var/run/docker.sock)
[/home/jayaramanp/tmp-docker|da882b2e] +job initserver()
[/home/jayaramanp/tmp-docker|da882b2e.initserver()] Creating server
2014/04/23 18:58:56 Listening for HTTP on unix (/var/run/docker.sock)
[debug] server.go:1037 Registering GET, /events
[debug] server.go:1037 Registering GET, /containers/{name:.}/export
[debug] server.go:1037 Registering GET, /containers/{name:.
}/json
[debug] server.go:1037 Registering GET, /images/json
[debug] server.go:1037 Registering GET, /images/viz
[debug] server.go:1037 Registering GET, /images/{name:.}/get
[debug] server.go:1037 Registering GET, /images/{name:.
}/history
[debug] server.go:1037 Registering GET, /containers/json
[debug] server.go:1037 Registering GET, /containers/{name:.}/changes
[debug] server.go:1037 Registering GET, /containers/{name:.
}/attach/ws
[debug] server.go:1037 Registering GET, /info
[debug] server.go:1037 Registering GET, /images/search
[debug] server.go:1037 Registering GET, /images/{name:.}/json
[debug] server.go:1037 Registering GET, /containers/ps
[debug] server.go:1037 Registering GET, /containers/{name:.
}/top
[debug] server.go:1037 Registering GET, /version
[debug] server.go:1037 Registering POST, /build
[debug] server.go:1037 Registering POST, /images/load
[debug] server.go:1037 Registering POST, /containers/{name:.}/kill
[debug] server.go:1037 Registering POST, /containers/{name:.
}/start
[debug] server.go:1037 Registering POST, /containers/{name:.}/stop
[debug] server.go:1037 Registering POST, /containers/{name:.
}/wait
[debug] server.go:1037 Registering POST, /containers/{name:.}/attach
[debug] server.go:1037 Registering POST, /images/{name:.
}/insert
[debug] server.go:1037 Registering POST, /containers/{name:.}/copy
[debug] server.go:1037 Registering POST, /commit
[debug] server.go:1037 Registering POST, /images/create
[debug] server.go:1037 Registering POST, /images/{name:.
}/tag
[debug] server.go:1037 Registering POST, /auth
[debug] server.go:1037 Registering POST, /images/{name:.}/push
[debug] server.go:1037 Registering POST, /containers/create
[debug] server.go:1037 Registering POST, /containers/{name:.
}/restart
[debug] server.go:1037 Registering POST, /containers/{name:.}/resize
[debug] server.go:1037 Registering DELETE, /containers/{name:.
}
[debug] server.go:1037 Registering DELETE, /images/{name:.*}
[debug] server.go:1037 Registering OPTIONS,
[debug] server.go:1127 docker group found. gid: 498
[debug] driver.go:79 Error loading driver aufs: AUFS was not found in /proc/filesystems
[debug] deviceset.go:500 Generated prefix: docker-253:1-393425
[debug] deviceset.go:503 Checking for existence of the pool 'docker-253:1-393425-pool'
[debug] deviceset.go:258 loadMetadata()
[debug] deviceset.go:301 loadMetadata END
[debug] deviceset.go:317 Initializing base device-manager snapshot
[debug] devmapper.go:468 [devmapper] createDevice(poolName=/dev/mapper/docker-253:1-393425-pool, deviceId=0)
[debug] deviceset.go:380 libdevmapper(3): ioctl/libdm-iface.c:1742 (-1) device-mapper: message ioctl on docker-253:1-393425-pool failed: File exists
[debug] deviceset.go:323
--->Err: Error running createDevice

[debug] deviceset.go:551 Error device setupBaseImage: Error running createDevice

[debug] driver.go:79 Error loading driver devicemapper: Error running createDevice
[debug] runtime.go:644 Using graph driver vfs
[debug] runtime.go:659 Creating images graph
[debug] graph.go:62 Restored 0 elements
[debug] runtime.go:671 Creating volumes graph
[debug] graph.go:62 Restored 0 elements
[debug] runtime.go:676 Creating repository list
[/home/jayaramanp/tmp-docker|da882b2e] +job init_networkdriver()
[DEBUG] [iptables]: /sbin/iptables, [-C POSTROUTING -t nat -s 172.17.42.1/16 ! -d 172.17.42.1/16 -j MASQUERADE]
[DEBUG] [iptables]: /sbin/iptables, [-I POSTROUTING -t nat -s 172.17.42.1/16 ! -d 172.17.42.1/16 -j MASQUERADE]
[DEBUG] [iptables]: /sbin/iptables, [-D FORWARD -i docker0 -o docker0 -j DROP]
[DEBUG] [iptables]: /sbin/iptables, [-C FORWARD -i docker0 -o docker0 -j ACCEPT]
[debug] driver.go:180 Enable inter-container communication
[DEBUG] [iptables]: /sbin/iptables, [-I FORWARD -i docker0 -o docker0 -j ACCEPT]
[DEBUG] [iptables]: /sbin/iptables, [-C FORWARD -i docker0 ! -o docker0 -j ACCEPT]
[DEBUG] [iptables]: /sbin/iptables, [-I FORWARD -i docker0 ! -o docker0 -j ACCEPT]
[DEBUG] [iptables]: /sbin/iptables, [-C FORWARD -o docker0 -m conntrack --ctstate RELATED,ESTABLISHED -j ACCEPT]
[DEBUG] [iptables]: /sbin/iptables, [-I FORWARD -o docker0 -m conntrack --ctstate RELATED,ESTABLISHED -j ACCEPT]
[DEBUG] [iptables]: /sbin/iptables, [-t nat -D PREROUTING -m addrtype --dst-type LOCAL -j DOCKER]
[DEBUG] [iptables]: /sbin/iptables, [-t nat -D OUTPUT -m addrtype --dst-type LOCAL ! --dst 127.0.0.0/8 -j DOCKER]
[DEBUG] [iptables]: /sbin/iptables, [-t nat -D OUTPUT -m addrtype --dst-type LOCAL -j DOCKER]
[DEBUG] [iptables]: /sbin/iptables, [-t nat -D PREROUTING -j DOCKER]
[DEBUG] [iptables]: /sbin/iptables, [-t nat -D OUTPUT -j DOCKER]
[DEBUG] [iptables]: /sbin/iptables, [-t nat -F DOCKER]
[DEBUG] [iptables]: /sbin/iptables, [-t nat -X DOCKER]
[DEBUG] [iptables]: /sbin/iptables, [-t nat -N DOCKER]
[DEBUG] [iptables]: /sbin/iptables, [-t nat -A PREROUTING -m addrtype --dst-type LOCAL -j DOCKER]
[DEBUG] [iptables]: /sbin/iptables, [-t nat -A OUTPUT -m addrtype --dst-type LOCAL ! --dst 127.0.0.0/8 -j DOCKER]
[/home/jayaramanp/tmp-docker|da882b2e] -job init_networkdriver() = OK (0)
[/home/jayaramanp/tmp-docker|da882b2e.initserver()] Creating pidfile
[/home/jayaramanp/tmp-docker|da882b2e.initserver()] Setting up signal traps
[/home/jayaramanp/tmp-docker|da882b2e] -job initserver() = OK (0)
[/home/jayaramanp/tmp-docker|da882b2e] +job acceptconnections()
[/home/jayaramanp/tmp-docker|da882b2e] -job acceptconnections() = OK (0)

Can't install docker on gentoo

I'm using this gentoo Vagrant box: https://lxmx-vm.s3.amazonaws.com/vagrant/boxes/lxmx_gentoo-2013.05_chef-11.4.4.box

When trying to instal docker I get this message:

vagrant@localhost ~ $ sudo emerge -av app-emulation/docker
 * Last emerge --sync was 157d 19h 18m 34s ago.

These are the packages that would be merged, in order:

Calculating dependencies... done!

emerge: there are no ebuilds to satisfy "app-emulation/docker".

emerge: searching for similar names...
emerge: Maybe you meant any of these: app-emulation/dosemu, app-emulation/dinero, app-emulation/vice?
vagrant@localhost ~ $ 

I'm new to gentoo so any help is greatly appreciated. Is some repo setup etc. missing?

app-emulation/docker: /usr/libexec/paludis/utils/dodoc: docs/sources/* does not exist

Looks like upstream stopped tarballing documentation?

>>> Running ebuild phase killold as root:root...
>>> Starting builtin_killold
>>> Done builtin_killold
>>> Completed ebuild phase killold
>>> Running ebuild phases init saveenv as paludisbuild:paludisbuild...
>>> Starting builtin_init
>>> Done builtin_init
>>> Starting builtin_saveenv
>>> Done builtin_saveenv
>>> Completed ebuild phases init saveenv
>>> Running ebuild phases loadenv setup saveenv as root:root...
>>> Starting builtin_loadenv
>>> Done builtin_loadenv
>>> Starting pkg_setup
 * Determining the location of the kernel source code
 * Found kernel source directory:
 *     /usr/src/linux
 * Found kernel object directory:
 *     /lib/modules/4.0.5-gentoo/build
 * Found sources for kernel version:
 *     4.0.5-gentoo
 * Checking for suitable kernel configuration options...
 *   CONFIG_RESOURCE_COUNTERS: is optional for container statistics gathering
 * Please check to make sure these options are set correctly.
 * Failure to do so may cause unexpected problems.
>>> Done pkg_setup
>>> Starting builtin_saveenv
>>> Done builtin_saveenv
>>> Completed ebuild phases loadenv setup saveenv
>>> Running ebuild phases loadenv unpack saveenv as paludisbuild:paludisbuild...
>>> Starting builtin_loadenv
>>> Done builtin_loadenv
>>> Starting src_unpack
>>> Unpacking docker-1.7.0.tar.gz to /var/tmp/paludis/app-emulation-docker-1.7.0/work
tar zxf /var/cache/paludis/distfiles/docker-1.7.0.tar.gz --no-same-owner
>>> Done src_unpack
>>> Starting builtin_saveenv
>>> Done builtin_saveenv
>>> Completed ebuild phases loadenv unpack saveenv
>>> Running ebuild phases loadenv prepare saveenv as paludisbuild:paludisbuild...
>>> Starting builtin_loadenv
>>> Done builtin_loadenv
>>> Starting src_prepare
>>> Done src_prepare
>>> Starting builtin_saveenv
>>> Done builtin_saveenv
>>> Completed ebuild phases loadenv prepare saveenv
>>> Running ebuild phases loadenv configure saveenv as paludisbuild:paludisbuild...
>>> Starting builtin_loadenv
>>> Done builtin_loadenv
>>> Starting src_configure
>>> Done src_configure
>>> Starting builtin_saveenv
>>> Done builtin_saveenv
>>> Completed ebuild phases loadenv configure saveenv
>>> Running ebuild phases loadenv compile saveenv as paludisbuild:paludisbuild...
>>> Starting builtin_loadenv
>>> Done builtin_loadenv
>>> Starting src_compile
# WARNING! I don't seem to be running in the Docker container.
# The result of this command might be an incorrect build, and will not be
#   officially supported.
#
# Try this instead: make all
#

---> Making bundle: dynbinary (in bundles/1.7.0/dynbinary)
Created binary: bundles/1.7.0/dynbinary/dockerinit-1.7.0
Building: bundles/1.7.0/dynbinary/docker-1.7.0
Created binary: bundles/1.7.0/dynbinary/docker-1.7.0

>>> Done src_compile
>>> Starting builtin_saveenv
>>> Done builtin_saveenv
>>> Completed ebuild phases loadenv compile saveenv
>>> Running ebuild phases loadenv install saveenv as root:root...
>>> Starting builtin_loadenv
>>> Done builtin_loadenv
>>> Starting src_install
/usr/libexec/paludis/utils/dodoc: docs/sources/* does not exist

!!! ERROR in app-emulation/docker-1.7.0::docker:
!!! In /usr/libexec/paludis/utils/dodoc at line 69
!!! dodoc returned error 2

!!! Call stack:
!!!    * paludis_die_or_error_func (/usr/libexec/paludis/die_functions.bash:67)
!!!    * main (/usr/libexec/paludis/utils/dodoc:69)

diefunc: making ebuild PID 14137 exit with error
die trap: exiting with error.

lxc-docker-0.6.1 ebuild, failing during dependencies cloning phase

Hello,

for pulling dependencies the ebuild is actually running :

    grep $'run\tPKG=' Dockerfile \
        | sed -r 's!^run\t([^;]+);\s*(git|hg).*(git\s+checkout\s+-f|hg\s+checkout).*$!(\1; \2 clone -q http://$PKG .gopath/src/$PKG \&\& cd .gopath/src/$PKG \&\& \3 -q $REV) || die!' \
        | sh || die

which doesn't work on my setup, I'm attaching some debug output (I have the same error for each dependencies) :

>>> Unpacking source...
GIT update -->
   repository:               git://github.com/dotcloud/docker.git
   at the commit:            f0620da74a5b4b63bf7b984899d10070da47c2db
   commit:                   v0.6.1
   branch:                   master
   storage directory:        "/usr/portage/distfiles/egit-src/docker.git"
   checkout type:            bare repository
Cloning into '/var/tmp/portage/app-emulation/lxc-docker-0.6.1/work/lxc-docker-0.6.1'...
done.
Checking connectivity... done
Switched to a new branch 'tree-v0.6.1'
>>> Unpacked to /var/tmp/portage/app-emulation/lxc-docker-0.6.1/work/lxc-docker-0.6.1
>>> Source unpacked in /var/tmp/portage/app-emulation/lxc-docker-0.6.1/work
>>> Preparing source in /var/tmp/portage/app-emulation/lxc-docker-0.6.1/work/lxc-docker-0.6.1 ...
>>> Source prepared.
>>> Configuring source in /var/tmp/portage/app-emulation/lxc-docker-0.6.1/work/lxc-docker-0.6.1 ...
>>> Source configured.
>>> Compiling source in /var/tmp/portage/app-emulation/lxc-docker-0.6.1/work/lxc-docker-0.6.1 ...
fatal: http://github.com/kr/pty/info/refs not valid: is this a git repository?
 * ERROR: app-emulation/lxc-docker-0.6.1::docker failed (compile phase):
 *   (no error message)
 * 
 * If you need support, post the output of `emerge --info '=app-emulation/lxc-docker-0.6.1::docker'`,
 * the complete build log and the output of `emerge -pqv '=app-emulation/lxc-docker-0.6.1::docker'`.
 * The complete build log is located at '/var/tmp/portage/app-emulation/lxc-docker-0.6.1/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/app-emulation/lxc-docker-0.6.1/temp/environment'.
 * Working directory: '/var/tmp/portage/app-emulation/lxc-docker-0.6.1/work/lxc-docker-0.6.1'
 * S: '/var/tmp/portage/app-emulation/lxc-docker-0.6.1/work/lxc-docker-0.6.1'
.....

I'm trying to debug it but I haven't found a complete solution yet (note that using https instead of http is helpingm but the last hg clone is still failing)

docker-bin Manifest?

I am trying to emerge pp-emulation/docker-bin and I get the following:

>>> Emerging (1 of 1) app-emulation/docker-bin-1.7.1::docker
!!! A file is not listed in the Manifest: '/usr/local/portage/docker/app-emulation/docker-bin/files/docker-containerd.patch'

Why don't you distribute the Manifest?

17.06

Ouch -- this is going to be fun to reconcile. With 17.06+, we've moved to https://github.com/docker/docker-ce being the main "joining point" for all the released components of Docker. So, for docker-9999.ebuild we need to decide whether to consume master of that repo as-is, or whether to instead try to consume master of each of the things it conjoins.

Beyond that, we need to get 17.06.0-ce-rc1 building from that source too.

Require runc[apparmor] on docker[apparmor]

Related to #43.
I'm getting

rpc error: code = 2 desc = "oci runtime error: could not synchronise with container process: apparmor: config provided but apparmor not supported"

on docker build/run when docker is built with apparmor flag, but runc not. As far as I can understand, it's caused but this code. So docker[+apparmor] should require runc[+appramor]. And maybe other deps such as containerd too, I haven't investigated it further.

Drop Git and Mercurial build-time dependencies?

These date back to the initial 0bd1543 (initial ebuilds copied from my personal overlay, 2013-08-26), but I'm not sure why a non-live ebuild would need them. I understand the RDEPEND from da7ade5 (git is also a runtime dependency, 2013-09-10), but not why both VCSes are build-time dependencies. Can you explain why? Is it because Docker is pulling in some live Go dependencies that aren't packaged for Gentoo?

Recommend Projects

  • React photo React

    A declarative, efficient, and flexible JavaScript library for building user interfaces.

  • Vue.js photo Vue.js

    🖖 Vue.js is a progressive, incrementally-adoptable JavaScript framework for building UI on the web.

  • Typescript photo Typescript

    TypeScript is a superset of JavaScript that compiles to clean JavaScript output.

  • TensorFlow photo TensorFlow

    An Open Source Machine Learning Framework for Everyone

  • Django photo Django

    The Web framework for perfectionists with deadlines.

  • D3 photo D3

    Bring data to life with SVG, Canvas and HTML. 📊📈🎉

Recommend Topics

  • javascript

    JavaScript (JS) is a lightweight interpreted programming language with first-class functions.

  • web

    Some thing interesting about web. New door for the world.

  • server

    A server is a program made to process requests and deliver data to clients.

  • Machine learning

    Machine learning is a way of modeling and interpreting data that allows a piece of software to respond intelligently.

  • Game

    Some thing interesting about game, make everyone happy.

Recommend Org

  • Facebook photo Facebook

    We are working to build community through open source technology. NB: members must have two-factor auth.

  • Microsoft photo Microsoft

    Open source projects and samples from Microsoft.

  • Google photo Google

    Google ❤️ Open Source for everyone.

  • D3 photo D3

    Data-Driven Documents codes.